Service Does Not Start on Windows 2008 R2
Status: Closed Start date: 11/27/2010

Priority: Normal Due date: 11/29/2010

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.1   

Description

The NSIA service does not start correctly on Windows 2008 R2. The problem appears to be that Java is not added to the path on

Windows 2008.

History

#1 - 11/27/2010 04:14 AM - Luke Murphey

http://stackoverflow.com/questions/3038140 includes code to help find the Java path but no such registry key exists on Windows 2008 R2.

#2 - 11/27/2010 04:17 AM - Luke Murphey

Java seems to install in C:\Windows\System32 by default: 

http://social.msdn.microsoft.com/Forums/en-US/Vsexpressvb/thread/01a425a0-51a5-49f3-b52f-23b20005f028/

#3 - 11/27/2010 04:24 AM - Luke Murphey

The system32 directory is under echo windir\system32 (http://en.wikipedia.org/wiki/Special_Folders) and can be accessed with:

Environment.GetFolderPath(Environment.SpecialFolder.System)

 

(http://www.dotnetspider.com/forum/62278-function-get-system-folder.aspx)

#4 - 11/27/2010 04:24 AM - Luke Murphey

- Assignee set to Luke Murphey

- Target version set to 1.0.1

#5 - 11/27/2010 02:35 PM - Luke Murphey

More information about how Java paths are structured: http://javahowto.blogspot.com/2006/05/javahome-vs-javahome.html

#6 - 11/28/2010 02:05 AM - Luke Murphey

Added auto-detection of the Java executable. Also, added the ability to specify the Java interpreter on the command-line be defining JVM.Executable

in config.ini.

#7 - 11/28/2010 02:10 AM - Luke Murphey

Need to add a note to the documentation about how to start NSIA on Windows server since Java is not loaded in the path, registry or in an

environment variable.
#8 - 11/28/2010 02:04 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
